Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorBaseView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorBaseView.Designer.cs	(revision 2654)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorBaseView.Designer.cs	(revision 2655)
@@ -20,7 +20,4 @@
 #endregion
 
-using System;
-using System.Windows.Forms;
-
 namespace HeuristicLab.Core.Views {
   partial class OperatorBaseView {
@@ -35,6 +32,6 @@
     /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
     protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
+      if (disposing) {
+        if (components != null) components.Dispose();
       }
       base.Dispose(disposing);
@@ -48,92 +45,29 @@
     /// </summary>
     private void InitializeComponent() {
-      this.tabControl = new System.Windows.Forms.TabControl();
-      this.variableInfosTabPage = new System.Windows.Forms.TabPage();
-      this.operatorBaseVariableInfosView = new HeuristicLab.Core.Views.OperatorBaseVariableInfosView();
-      this.variablesTabPage = new System.Windows.Forms.TabPage();
-      this.operatorBaseVariablesView = new HeuristicLab.Core.Views.OperatorBaseVariablesView();
-      this.descriptionTabPage = new System.Windows.Forms.TabPage();
-      this.operatorBaseDescriptionView = new HeuristicLab.Core.Views.OperatorBaseDescriptionView();
-      this.tabControl.SuspendLayout();
-      this.variableInfosTabPage.SuspendLayout();
-      this.variablesTabPage.SuspendLayout();
-      this.descriptionTabPage.SuspendLayout();
+      this.parameterCollectionView = new HeuristicLab.Core.Views.ParameterCollectionView();
       this.SuspendLayout();
       // 
-      // tabControl
+      // nameTextBox
       // 
-      this.tabControl.Controls.Add(this.variableInfosTabPage);
-      this.tabControl.Controls.Add(this.variablesTabPage);
-      this.tabControl.Controls.Add(this.descriptionTabPage);
-      this.tabControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.tabControl.Location = new System.Drawing.Point(0, 0);
-      this.tabControl.Name = "tabControl";
-      this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(423, 333);
-      this.tabControl.TabIndex = 0;
+      this.nameTextBox.Size = new System.Drawing.Size(418, 20);
       // 
-      // variableInfosTabPage
+      // descriptionTextBox
       // 
-      this.variableInfosTabPage.Controls.Add(this.operatorBaseVariableInfosView);
-      this.variableInfosTabPage.Location = new System.Drawing.Point(4, 22);
-      this.variableInfosTabPage.Name = "variableInfosTabPage";
-      this.variableInfosTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.variableInfosTabPage.Size = new System.Drawing.Size(415, 307);
-      this.variableInfosTabPage.TabIndex = 0;
-      this.variableInfosTabPage.Text = "Variable Infos";
-      this.variableInfosTabPage.UseVisualStyleBackColor = true;
+      this.descriptionTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.descriptionTextBox.Size = new System.Drawing.Size(418, 90);
       // 
-      // operatorBaseVariableInfosView
+      // parameterCollectionView
       // 
-      this.operatorBaseVariableInfosView.Caption = "Operator";
-      this.operatorBaseVariableInfosView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.operatorBaseVariableInfosView.Location = new System.Drawing.Point(3, 3);
-      this.operatorBaseVariableInfosView.Name = "operatorBaseVariableInfosView";
-      this.operatorBaseVariableInfosView.Operator = null;
-      this.operatorBaseVariableInfosView.Size = new System.Drawing.Size(409, 301);
-      this.operatorBaseVariableInfosView.TabIndex = 0;
-      // 
-      // variablesTabPage
-      // 
-      this.variablesTabPage.Controls.Add(this.operatorBaseVariablesView);
-      this.variablesTabPage.Location = new System.Drawing.Point(4, 22);
-      this.variablesTabPage.Name = "variablesTabPage";
-      this.variablesTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.variablesTabPage.Size = new System.Drawing.Size(415, 307);
-      this.variablesTabPage.TabIndex = 1;
-      this.variablesTabPage.Text = "Local Variables";
-      this.variablesTabPage.UseVisualStyleBackColor = true;
-      // 
-      // operatorBaseVariablesView
-      // 
-      this.operatorBaseVariablesView.Caption = "Operator";
-      this.operatorBaseVariablesView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.operatorBaseVariablesView.Location = new System.Drawing.Point(3, 3);
-      this.operatorBaseVariablesView.Name = "operatorBaseVariablesView";
-      this.operatorBaseVariablesView.Operator = null;
-      this.operatorBaseVariablesView.Size = new System.Drawing.Size(409, 301);
-      this.operatorBaseVariablesView.TabIndex = 0;
-      // 
-      // descriptionTabPage
-      // 
-      this.descriptionTabPage.Controls.Add(this.operatorBaseDescriptionView);
-      this.descriptionTabPage.Location = new System.Drawing.Point(4, 22);
-      this.descriptionTabPage.Name = "descriptionTabPage";
-      this.descriptionTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.descriptionTabPage.Size = new System.Drawing.Size(415, 307);
-      this.descriptionTabPage.TabIndex = 3;
-      this.descriptionTabPage.Text = "Description";
-      this.descriptionTabPage.UseVisualStyleBackColor = true;
-      // 
-      // operatorBaseDescriptionView
-      // 
-      this.operatorBaseDescriptionView.Caption = "Operator";
-      this.operatorBaseDescriptionView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.operatorBaseDescriptionView.Font = new System.Drawing.Font("Courier New", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.operatorBaseDescriptionView.Location = new System.Drawing.Point(3, 3);
-      this.operatorBaseDescriptionView.Name = "operatorBaseDescriptionView";
-      this.operatorBaseDescriptionView.Operator = null;
-      this.operatorBaseDescriptionView.Size = new System.Drawing.Size(409, 301);
-      this.operatorBaseDescriptionView.TabIndex = 0;
+      this.parameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.parameterCollectionView.Caption = "ParameterCollection";
+      this.parameterCollectionView.ItemCollection = null;
+      this.parameterCollectionView.Location = new System.Drawing.Point(0, 122);
+      this.parameterCollectionView.Name = "parameterCollectionView";
+      this.parameterCollectionView.NamedItemCollection = null;
+      this.parameterCollectionView.Size = new System.Drawing.Size(490, 231);
+      this.parameterCollectionView.TabIndex = 4;
       // 
       // OperatorBaseView
@@ -141,12 +75,14 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.tabControl);
+      this.Controls.Add(this.parameterCollectionView);
       this.Name = "OperatorBaseView";
-      this.Size = new System.Drawing.Size(423, 333);
-      this.tabControl.ResumeLayout(false);
-      this.variableInfosTabPage.ResumeLayout(false);
-      this.variablesTabPage.ResumeLayout(false);
-      this.descriptionTabPage.ResumeLayout(false);
+      this.Size = new System.Drawing.Size(490, 353);
+      this.Controls.SetChildIndex(this.parameterCollectionView, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.Controls.SetChildIndex(this.descriptionLabel, 0);
+      this.Controls.SetChildIndex(this.nameTextBox, 0);
+      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.ResumeLayout(false);
+      this.PerformLayout();
 
     }
@@ -154,11 +90,5 @@
     #endregion
 
-    protected TabControl tabControl;
-    protected TabPage variableInfosTabPage;
-    protected TabPage variablesTabPage;
-    protected OperatorBaseVariableInfosView operatorBaseVariableInfosView;
-    protected OperatorBaseVariablesView operatorBaseVariablesView;
-    private TabPage descriptionTabPage;
-    private OperatorBaseDescriptionView operatorBaseDescriptionView;
+    protected ParameterCollectionView parameterCollectionView;
 
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorBaseView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorBaseView.cs	(revision 2654)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorBaseView.cs	(revision 2655)
@@ -29,70 +29,36 @@
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.Core.Views {
+namespace HeuristicLab.Core.Views { 
   /// <summary>
-  /// The base class for visual representation of operators (contains description view, variable view, 
-  /// variable info view,...).
+  /// The base class for visual representations of items.
   /// </summary>
   [Content(typeof(OperatorBase), true)]
-  public partial class OperatorBaseView : ItemViewBase {
-    /// <summary>
-    /// Gets or sets the operator to represent visually. 
-    /// </summary>
-    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
-    /// No own data storage present.</remarks>
-    public IOperator Operator {
-      get { return (IOperator)Item; }
-      set {base.Item = value; }
+  public partial class OperatorBaseView : NamedItemBaseView {
+    public OperatorBase OperatorBase {
+      get { return (OperatorBase)base.Item; }
+      set { base.Item = value; }
     }
 
     /// <summary>
-    /// Initializes a new instance of <see cref="OperatorBaseView"/> with caption "Operator".
+    /// Initializes a new instance of <see cref="ItemBaseView"/>.
     /// </summary>
     public OperatorBaseView() {
       InitializeComponent();
-      Caption = "Operator";
     }
     /// <summary>
-    /// Initializes a new instance of <see cref="OperatorBaseView"/> 
-    /// with the given operator <paramref name="op"/>. 
+    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
     /// </summary>
-    /// <remarks>Calls <see cref="OperatorBaseView()"/>.</remarks>
-    /// <param name="op">The operator to represent visually.</param>
-    public OperatorBaseView(IOperator op)
+    /// <param name="item">The item that should be displayed.</param>
+    public OperatorBaseView(OperatorBase operatorBase)
       : this() {
-      Operator = op;
+      OperatorBase = operatorBase;
     }
 
-    /// <summary>
-    /// Removes event handlers in all children.
-    /// </summary>
-    protected override void RemoveItemEvents() {
-      operatorBaseVariableInfosView.Operator = null;
-      operatorBaseVariablesView.Operator = null;
-      operatorBaseDescriptionView.Operator = null;
-      base.RemoveItemEvents();
-    }
-    /// <summary>
-    /// Adds event handlers in all children.
-    /// </summary>
-    protected override void AddItemEvents() {
-      base.AddItemEvents();
-      operatorBaseVariableInfosView.Operator = Operator;
-      operatorBaseVariablesView.Operator = Operator;
-      operatorBaseDescriptionView.Operator = Operator;
-    }
-
-    /// <summary>
-    /// Updates all controls with the latest data of the model.
-    /// </summary>
-    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
-    protected override void UpdateControls() {
-      base.UpdateControls();
-      if (Operator == null) {
-        Caption = "Operator";
-        tabControl.Enabled = false;
+    protected override void OnObjectChanged() {
+      base.OnObjectChanged();
+      if (OperatorBase == null) {
+        parameterCollectionView.NamedItemCollection = null;
       } else {
-        Caption = Operator.Name + " (" + Operator.GetType().Name + ")";
-        tabControl.Enabled = true;
+        parameterCollectionView.NamedItemCollection = ((IOperator)OperatorBase).Parameters;
       }
     }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.Designer.cs	(revision 2655)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.Designer.cs	(revision 2655)
@@ -0,0 +1,33 @@
+﻿namespace HeuristicLab.Core.Views {
+  partial class OperatorCollectionView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (typeSelectorDialog != null) typeSelectorDialog.Dispose();
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 2655)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 2655)
@@ -0,0 +1,50 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.Collections;
+
+namespace HeuristicLab.Core.Views {
+  [Content(typeof(OperatorCollection), true)]
+  [Content(typeof(IObservableCollection<IOperator>), true)]
+  public partial class OperatorCollectionView : ItemCollectionView<IOperator> {
+    private TypeSelectorDialog typeSelectorDialog;
+
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariablesScopeView"/> with caption "Variables Scope View".
+    /// </summary>
+    public OperatorCollectionView() {
+      InitializeComponent();
+      Caption = "Operator Collection";
+      itemsGroupBox.Text = "&Operators";
+    }
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
+    /// the given <paramref name="scope"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
+    /// <param name="scope">The scope whose variables should be represented visually.</param>
+    public OperatorCollectionView(IObservableCollection<IOperator> operatorCollection)
+      : this() {
+      ItemCollection = operatorCollection;
+    }
+
+    protected override IOperator CreateItem() {
+      if (typeSelectorDialog == null) {
+        typeSelectorDialog = new TypeSelectorDialog();
+        typeSelectorDialog.TypeSelector.Caption = "&Available Operators";
+        typeSelectorDialog.TypeSelector.Configure(typeof(IOperator), false, false);
+      }
+
+      if (typeSelectorDialog.ShowDialog(this) == DialogResult.OK)
+        return (IOperator)typeSelectorDialog.TypeSelector.CreateInstanceOfSelectedType();
+      else
+        return null;
+    }
+  }
+}
